Page 1 of 2 12 LastLast
Results 1 to 10 of 15

Thread: Digikam Issues

  1. #1
    Join Date
    Jun 2008
    Location
    Florida, USA
    Posts
    970

    Default Digikam Issues

    I am running on my primary system esk: i7-4790K Leap 42.3(x86_64)4.4.92-31 KF5 5.40.0 Plasma 5.11.4 Qt 5.9.3
    with Digikam 5.7.0 loaded from the KDE:extras repo.
    Digicam opens from the GUI desktop, no error messages, but Displays the albums tree with no images listed in the directory structure.

    On the Digikam forum, I see some discussions related to issues with Qt 5.9.x, works on some distros, I think.

    Anyone here seeing this issue, or better yet, has it working?

    I have tried starting Digikam in a Konsole window, I get the same GUI window results, disconcerting messages in Konsole like "digikam.general: Cancel Main Thread"
    but nothing waving a red flag declaring fatal errors.

    I am assuming this is a Digikam build issue, but would be interested in others experience.
    Desk: i7-4790K Leap 15.1(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0
    Lap: HPDV7T i7 Leap 15.0(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0

  2. #2
    Join Date
    Sep 2013
    Location
    Norfolk, UK
    Posts
    1,268

    Default Re: Digikam Issues

    Quote Originally Posted by cmcgrath5035 View Post
    KF5 5.40.0 Plasma 5.11.4 Qt 5.9.3 with Digikam 5.7.0
    Don't know you'll find too many users of leap with those versions... you're even ahead of Tumbleweed


    Digicam opens from the GUI desktop, no error messages, but Displays the albums tree with no images listed in the directory structure.

    On the Digikam forum, I see some discussions related to issues with Qt 5.9.x, works on some distros, I think.

    For what it's worth...

    Using Tumbleweed with:

    Plasma 5.11.3
    Frameworks 5.40.0
    Qt 5.9.2
    Digikam 5.7.0

    I use digikam almost daily and all is working OK.
    Regards, Paul

    2x Tumbleweed (Snapshot: 20191016) KDE Plasma 5
    2x Leap 15.1 KDE Plasma 5

  3. #3
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,860
    Blog Entries
    14

    Default Re: Digikam Issues

    What Paul says. Plus, the issue is not with digikam, it's your system, using repos other than the distro's. The digikam package you're trying to use is probably built agains another Qt version than you have installed.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  4. #4
    Join Date
    Jun 2008
    Location
    Florida, USA
    Posts
    970

    Default Re: Digikam Issues

    Thanks for inputs.
    Interestingly, I rechecked Digikam-Help-About-Libraries from within the running application and it reports
    Code:
    l  Version 5.7.0
    
    
    
    • KDE Frameworks 5.40.0
    • Qt 5.9.3 (built against 5.9.3)
    • The xcb windowing system
    As for using KDE Extra, I am using the Leap 42.3 version of KDE Extra
    but do understand this is not the default Digikam version which is 5.5.0 from Leap-42.3-Oss

    Code:
    http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Leap_42.3/
    I'll back down to 5.5.0 if I really need to.
    Desk: i7-4790K Leap 15.1(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0
    Lap: HPDV7T i7 Leap 15.0(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0

  5. #5
    Join Date
    Sep 2013
    Location
    Norfolk, UK
    Posts
    1,268

    Default Re: Digikam Issues

    Quote Originally Posted by cmcgrath5035 View Post
    Interestingly, I rechecked Digikam-Help-About-Libraries from within the running application and it reports
    Code:
    l  Version 5.7.0
    
    
    
    • KDE Frameworks 5.40.0
    • Qt 5.9.3 (built against 5.9.3)
    • The xcb windowing system
    The "built against" might be rather ambiguously worded there perhaps. I'm not convinced it means digikam is built against Qt 5.9.3...

    because:

    On this 42.3 system:

    http://paste.opensuse.org/view/raw/75a71bf5

    I've just upgrade digikam 5.5.0 (from leap 42.3 OSS) to 5.7.0 (from leap 42.3 KDE Extra), and it shows built against Qt 5.6.2

    http://paste.opensuse.org/view/raw/668e1e82

    It also works OK...

    As Knurpht wrote, the problem is more likely the combination of plasma/frameworks/Qt than with digikam?
    Regards, Paul

    2x Tumbleweed (Snapshot: 20191016) KDE Plasma 5
    2x Leap 15.1 KDE Plasma 5

  6. #6
    Join Date
    Jun 2008
    Location
    Florida, USA
    Posts
    970

    Default Re: Digikam Issues

    As Knurpht wrote, the problem is more likely the combination of plasma/frameworks/Qt than with digikam?
    That is certainly a possibility, how ever all my other applications seem to be working OK on this current version of Leap 42.3

    Desk: i7-4790K Leap 42.3(x86_64)4.4.92-31 KF5 5.40.0 Plasma 5.11.4 Qt 5.9.3
    Desk: i7-4790K Leap 15.1(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0
    Lap: HPDV7T i7 Leap 15.0(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0

  7. #7
    Join Date
    Sep 2013
    Location
    Norfolk, UK
    Posts
    1,268

    Default Re: Digikam Issues

    Quote Originally Posted by cmcgrath5035 View Post
    That is certainly a possibility, how ever all my other applications seem to be working OK on this current version of Leap 42.3
    Hmm.. That does perhaps rather point the finger at digikam then.

    However, unless you find another (preferably leap) user with the plasma/frameworks/Qt versions you have, it won't be easy to conclusively prove that.

    Sorry, but I'm not prepared to change the 42.3 system I have to that extent.

    Tumbleweed is not that far off, version wise, so it will be interesting to see what happens when the plasma/Qt versions match yours.
    Regards, Paul

    2x Tumbleweed (Snapshot: 20191016) KDE Plasma 5
    2x Leap 15.1 KDE Plasma 5

  8. #8
    Join Date
    Jun 2008
    Location
    Florida, USA
    Posts
    970

    Default Re: Digikam Issues

    Thanks, Paul.
    Since I know how to fix it IF I really need to, I'll let it sitfor a bit.

    I do see , on the Digikam Forum, a lot of issues related to QT versions recently, but none sound like what I see.
    Desk: i7-4790K Leap 15.1(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0
    Lap: HPDV7T i7 Leap 15.0(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0

  9. #9
    Join Date
    Jun 2008
    Location
    Florida, USA
    Posts
    970

    Default Re: Digikam Issues

    This is the Digikam email thread that points to a Digikam/QT 5.9.3 issue, I believe.
    Seems the folks over at Arch Linux hit this a couple weeks ago

    http://digikam.1695700.n4.nabble.com...td4704506.html

    Looking at related chatter, it is not clear if the bug was/is in QT5.9.3 or hidden in Digikam 5.7.0 until QT5.9.3 was released.
    It appears resolved, on Arch, with a package fix in Digikam.
    Desk: i7-4790K Leap 15.1(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0
    Lap: HPDV7T i7 Leap 15.0(x86_64)4.12.14-lp151.28.7-default KF5 59.0 Plasma 5.14.4 Qt 5.13.0

  10. #10
    Join Date
    Sep 2013
    Location
    Norfolk, UK
    Posts
    1,268

    Default Re: Digikam Issues

    Quote Originally Posted by cmcgrath5035 View Post
    http://digikam.1695700.n4.nabble.com...td4704506.html

    Looking at related chatter, it is not clear if the bug was/is in QT5.9.3 or hidden in Digikam 5.7.0 until QT5.9.3 was released.
    Thanks for the link.

    Agreed, it's not too clear where blame is being apportioned to. The final post indicates if digikam is built specifically against Qt 5.9.3 that solves the problem.

    I'm not sure how that will impact leap. Looking at the (OBS KDE:Extra) changelog ( https://build.opensuse.org/package/v...anges?expand=1 ) it currently has "BuildRequire Qt >= 5.6.0". If that's bumped to 5.9.3 then I guess it would fail to build on leap, TW also at the moment, as that's on 5.9.2. So I don't know if those changes would (yet) be accepted.

    Perhaps consider running digikam as an AppImage bundle? I've never used that method myself so don't know if it would be a practical solution.
    Regards, Paul

    2x Tumbleweed (Snapshot: 20191016) KDE Plasma 5
    2x Leap 15.1 KDE Plasma 5

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •